### A free/open-source library for quantitative finance

Public Types | Public Member Functions
SaudiArabia Class Reference
Calendars

Saudi Arabian calendar. More...

`#include <ql/time/calendars/saudiarabia.hpp>`

Inheritance diagram for SaudiArabia:
[legend]

List of all members.

## Public Types

enum | Market { Tadawul }

## Public Member Functions

| SaudiArabia (Market m=Tadawul)

## Detailed Description

Saudi Arabian calendar.

Holidays for the Tadawul financial market (data from <http://www.tadawul.com.sa>):

- Thursdays
- Fridays
- National Day of Saudi Arabia, September 23rd

Other holidays for which no rule is given (data available sparsely for 2004-2011 only:)

- Eid Al-Adha
- Eid Al-Fitr

## Member Enumeration Documentation

enum Market

Enumerator:

  Tadawul | Tadawul financial market.